Problème de connexion PHP 7.03

Installation, utilisation, paramétrage de SMI sous Gnu/Linux
Répondre
yeyene
Membre
Messages : 11
Enregistré le : sam. mars 19, 2011 9:53 pm

Problème de connexion PHP 7.03

Message par yeyene »

Bonjour,

Mon hébergeur, viens de migrer mon espace d'hébergement sous PHP 7.03 et depuis je ne peux plus accéder à SMI.
J'ai une page blanche et le message d'erreur suivant qui s'affiche : Fatal Error: ezSQL_mysql requires mySQL Lib to be compiled and or linked in to the PHP engine

J'ai tenté de forcé le passage vers PHP 5.6 en configurant un .htaccess et php.ini, mais le module utilisé par mon hébergeur ne permet pas ce genre de manipulation.

Auriez vous une solution à mon problème ?

Lionel

Galawa
Site Admin
Messages : 1364
Enregistré le : jeu. févr. 22, 2007 11:26 am
Contact :

Re: Problème de connexion PHP 7.03

Message par Galawa »

Bonsoir,

Quelle version de SMI utilisez vous ?

En effet, sous PHP 7.x, il faut impérativement utiliser l'extension MySQLi et pas MySQL, extension qui est prise par défaut à partir de la version SMI 1.0.3

Merci.

Galawa
Gestionnaire du projet SMI

yeyene
Membre
Messages : 11
Enregistré le : sam. mars 19, 2011 9:53 pm

Re: Problème de connexion PHP 7.03

Message par yeyene »

Bonjour,

Merci pour le retour. J'utilise la version 1.0.3 justement !

Lionel

yeyene
Membre
Messages : 11
Enregistré le : sam. mars 19, 2011 9:53 pm

Re: Problème de connexion PHP 7.03

Message par yeyene »

Bonjour, aucun retour ... ?

Galawa
Site Admin
Messages : 1364
Enregistré le : jeu. févr. 22, 2007 11:26 am
Contact :

Re: Problème de connexion PHP 7.03

Message par Galawa »

Tests en cours...

Pour l'instant, SMI est uniquement validé jusqu'à la version 5.6.

Ceci étant, il faut que votre extension soit compilée dans votre noyau PHP.

Merci

Galawa
Gestionnaire du projet SMI

Répondre